PATCH: Updating autogen.sh
- From: Jason Leach <leach wam umd edu>
- To: gnome-components-list gnome org
- Subject: PATCH: Updating autogen.sh
- Date: 19 Mar 2003 10:58:14 -0500
Hello all,
In trying to update my system to a modern GNOME development machine, I
ran into snags with bonobo-activation.
Notably, that it was trying to force me to build in the source
directory, whereas my build scripts prefer to build in a different
place. I noticed the autogen.sh hasn't been updated in a while, and made
some changes to make it build when $builddir != $srcdir, and to add some
of the sanity checks that other GNOME modules use.
bonobo-activation does build fine outside of it's srcdir.
I have commit access, but any other maintainer can apply this patch or
make similar modifications/adjustments if the changes are desirable.
Thanks,
Jason.
Index: ChangeLog
===================================================================
RCS file: /cvs/gnome/bonobo-activation/ChangeLog,v
retrieving revision 1.358
diff -u -r1.358 ChangeLog
--- ChangeLog 14 Mar 2003 15:55:43 -0000 1.358
+++ ChangeLog 19 Mar 2003 15:45:03 -0000
@@ -1,3 +1,10 @@
+2003-03-19 Jason Leach <leach wam umd edu>
+
+ * autogen.sh: Update to be more like other gnome modules: Add a
+ sanity check that we're configuring bonobo-activation, that the
+ user has gnome-common installed, and allow the user to build in
+ the case of $builddir != $srcdir
+
2003-03-14 Michael Meeks <michael ximian com>
* Version 2.2.1.1
Index: autogen.sh
===================================================================
RCS file: /cvs/gnome/bonobo-activation/autogen.sh,v
retrieving revision 1.5
diff -u -r1.5 autogen.sh
--- autogen.sh 31 Jul 2001 05:21:13 -0000 1.5
+++ autogen.sh 19 Mar 2003 15:45:03 -0000
@@ -6,9 +6,17 @@
PKG_NAME="bonobo-activation"
-(test -f idl/Bonobo_ActivationContext.idl) || {
- echo "You must run this script in the top-level bonobo-activation directory"
- exit 1
+(test -f $srcdir/configure.in \
+ && test -f $srcdir/HACKING \
+ && test -d $srcdir/bonobo-activation) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
}
USE_GNOME2_MACROS=1 . gnome-autogen.sh
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]